using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.Gps;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.NmeaSharpWrapper
{
	[SkyscraperPlugin]
	[PluginPriority(2)]
	public class NmeaFromUdpFactory : IGpsReceiverFactory
	{
		public string BindIp { get; set; }
		public ushort BindPort { get; set; }
		public IGpsReceiver CreateGpsReceiver()
		{
			return new NmeaFromUdp(BindIp, BindPort);
		}
	}
}
